#=============================================================================
#=============================ANSCOMBE'S QUARTET==============================
#=============================================================================

#anscombe's quartet is a series of 2 dimensional data
#that share similar statistical properties
print(anscombe)

#this is how you access the first quartet
#we use the $ followed by the column name to grab a single column
x1 = anscombe$x1
y1 = anscombe$y1
print(x1)
print(y1)

#you can also access the data by providing the index for each column
x1 = anscombe[,1]
y1 = anscombe[,5]

print('These are the means for the x values of each quartet:')
print(mean(anscombe$x1))
print(mean(anscombe$x2))
print(mean(anscombe$x3))
print(mean(anscombe$x4))

print('These are the variances for the x values of each quartet:')
print(var(anscombe$x1))
print(var(anscombe$x2))
print(var(anscombe$x3))
print(var(anscombe$x4))

#you can also iterate through the data to find the variance for each x

for(i in 1:4){
	print(paste('This is the variance for quartet',i))
	print(var(anscombe[,1]))
}



#=====================
#==WRITE CODE HERE====
#=====================

#write some code to print the mean and variance for the
#y values for each quartet
#try using a for loop






#=====================
#==END OF CODE BLOCK==
#=====================

#=============================================================================
#========================SILLY GROUP QUESTION TIME============================
#=============================================================================

#Are these data similar or different?

#=============================================================================
#===========================SEEING IS BELIEVING===============================
#=============================================================================

par(mfrow=c(2,2))

for(i in 1:4){
	
	plot_title = paste('This is quartet',i)
	
	plot(anscombe[,i],anscombe[,(i+4)],col='red',xlim =c(3,19),ylim =c(3,13),xlab='x',ylab='y',main=plot_title)
	
}


#Now, are these data similar or different?

#=============================================================================
#==========================LINE FITTING IS SCARY==============================
#=============================================================================

par(mfrow=c(2,2))

for(i in 1:4){
	
	plot_title = paste('Linear regression for quartet',i)
	
	plot(anscombe[,i],anscombe[,(i+4)],col='red',xlim =c(3,19),ylim =c(3,13),xlab='x',ylab='y',main=plot_title)
	abline(lm(anscombe[,(i+4)]~anscombe[,i]),col='blue')
}

#=============================================================================
#==========================CORRELATION IS SCARY===============================
#=============================================================================

for(i in 1:4){
	print(paste('This is the x,y pearson correlation for quartet',i))
	print(cor(anscombe[,i],anscombe[,(i+4)]))
}


#=============================================================================
#==============WHAT WE TALK ABOUT WHEN WE TALK ABOUT CORRELATION==============
#=============================================================================
dev.off() #clear the plotting space


#EXAMPLE 1

x1 = c(1,5,100,5,1,10,20)

y1 = c(11,15,20,15,11,60,100)

plot(x1,y1,xlab='x1',ylab='y1',col='red')
#how are these data correlated?

print('pearson (shape) correlation')
print(cor(x1,y1,method='pearson'))

print('spearman (rank) corelation')
print(cor(x1,y1,method='spearman'))

print('kendall (order) corelation')
print(cor(x1,y1,method='kendall'))


#visualizing these data as if they were two time series
plot(1:7,x1,col='red',type='b',ylim =c(0,110),xlab='time points',ylab='value')
lines(1:7,y1,col='blue',type='b')

#=====================
#==WRITE CODE HERE====
#=====================

#calculate the rank and order for x1 and y1 and compare
#use the order and rank functions





#=====================
#==END OF CODE BLOCK==
#=====================

#EXAMPLE 2

#what about two parameters for a given sample?
x1 = c(1,3,11,5,2,12,10)

y1 = c(4,2,13,4,3,11,11)

plot(x1,y1,xlab='x1',ylab='y1',col='red')
abline(lm(y1~x1),col='blue')
#how are these data correlated?

print('pearson (shape) correlation')
print(cor(x1,y1,method='pearson'))

print('spearman (rank) corelation')
print(cor(x1,y1,method='spearman'))

print('kendall (order) corelation')
print(cor(x1,y1,method='kendall'))

#visualizing these data as if they were two time series
plot(1:7,x1,col='red',type='b',ylim =c(0,15),xlab='time points',ylab='value')
lines(1:7,y1,col='blue',type='b')


#Correlation really depends on what we are trying to say about the data





