#=============================================================================
#==========================EXPLORING 1D DATA==================================
#=============================================================================


#let's go back to our anscombe quartet and explore the y values (1D data)
#using several approaches

#histogram
par(mfrow=c(2,2))
for(i in 5:8){
	hist(anscombe[,i],breaks=1:13,xlim = c(3,13),prob=FALSE,xlab='',col='blue',ylim = c(0,6),main = i-4,ylab='counts')
	}
	
#cumulative distribution function
par(mfrow=c(2,2))
for(i in 5:8){
	plot(ecdf(anscombe[,i]),xlim = c(3,13),xlab='',main = i-4,ylab='fraction')
	}	


#side by side comparison of quartets 2 and 3 using a cdf
dev.off()

plot(ecdf(anscombe[,6]),xlim = c(3,13),xlab='',main = 'quartets 2 and 3',ylab='fraction',col='blue')
lines(ecdf(anscombe[,7]),col='red')


#ranked data
par(mfrow=c(2,2))
for(i in 5:8){
	plot(1:length(anscombe[,i]),anscombe[order(anscombe[,i]),i],xlim = c(0,length(anscombe[,i])),ylim =c(0,13),xlab='rank',main = i-4,ylab='value')
	}

#rank plot
par(mfrow=c(2,2))
for(i in 5:8){
	plot(1:length(anscombe[,i]),rank(anscombe[,i]),xlim = c(0,length(anscombe[,i])),ylim =c(0,13),xlab='position',main = i-4,ylab='rank')
	}
	
	
#as a bar plot
par(mfrow=c(2,2))
for(i in 5:8){
	barplot(anscombe[,i],main=i,ylab='values')

	}
	
	
#as a box plot
dev.off()
boxplot(anscombe[,5:8],names=c(1,2,3,4))



#=============================================================================
#==========================EXPLORING 2D DATA==================================
#=============================================================================


#scatter plot
par(mfrow=c(2,2))
for(i in 1:4){
	plot(anscombe[,i],anscombe[,(i+4)],col='red',xlab='x',ylab='y')
	}
	
	
#=====================
#==WRITE CODE HERE====
#=====================

#do a rank transform and compare ranks of x and y for each quartet






#=====================
#==END OF CODE BLOCK==
#=====================

#as a path or time series (can also animate!)
dev.off()

#for quartet1
par(mfrow=c(2,11))
for(i in 1:11){
	par(mar=c(0,0,1,0))
	plot(anscombe[1:i,1],anscombe[1:i,5],type='b',xaxt='n',yaxt='n',xlab='',ylab='',main=i,xlim=c(3,19),ylim=c(0,15))
	
	
}



for(i in 1:11){
	par(mar=c(0,0,1,0))
	plot(anscombe[1:i,3],anscombe[1:i,7],type='b',xaxt='n',yaxt='n',xlab='',ylab='',main=i,xlim=c(3,19),ylim=c(0,15))
	
	
}

#=====================
#==WRITE CODE HERE====
#=====================

#use the lines function to color the most recent line red

for(i in 1:11){
	par(mar=c(0,0,1,0))
	plot(anscombe[1:i,3],anscombe[1:i,7],type='b',xaxt='n',yaxt='n',xlab='',ylab='',main=i,xlim=c(3,19),ylim=c(0,15))
	
	if(i > 1){
		#lines....
		
	}
	
}



#=====================
#==END OF CODE BLOCK==
#=====================



#=============================================================================
#=======================MORE AUDIENCE PARTICIPATION===========================
#=============================================================================

#What are some other ways to visualize 2D data?


